curtin leaves behind /usr/sbin/policy-rc.d file that prevents invoke-rc.d from starting services

Bug #1238915 reported by Adam Gandelman on 2013-10-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
curtin
High
Unassigned
curtin (Ubuntu)
High
Unassigned
Saucy
High
Unassigned

Bug Description

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.3 LTS"

# dpkg -l | grep keystone
ii keystone 1:2013.1.3-0ubuntu1~cloud0 OpenStack identity service - Daemons
ii python-keystone 1:2013.1.3-0ubuntu1~cloud0 OpenStack identity service - Python library
ii python-keystoneclient 1:0.2.3-0ubuntu2.2~cloud0 Client library for OpenStack Identity API

When installing the package, the service fails to start due to a invoke-rc.d: policy-rc.d denied execution of start.
So far I've only hit this on precise nodes that I've provisioned with MAAS using curtin.

# apt-get install keystone
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  keystone
0 upgraded, 1 newly installed, 0 to remove and 8 not upgraded.
Need to get 16.7 kB of archives.
After this operation, 143 kB of additional disk space will be used.
Get:1 http://ubuntu-cloud.archive.canonical.com/ubuntu/ precise-updates/grizzly/main keystone all 1:2013.1.3-0ubuntu1~cloud0 [16.7 kB]
Fetched 16.7 kB in 0s (0 B/s)
Selecting previously unselected package keystone.
(Reading database ... 42113 files and directories currently installed.)
Unpacking keystone (from .../keystone_1%3a2013.1.3-0ubuntu1~cloud0_all.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Setting up keystone (1:2013.1.3-0ubuntu1~cloud0) ...
Generating RSA private key, 1024 bit long modulus
.........................................++++++
...........++++++
e is 65537 (0x10001)
Generating RSA private key, 1024 bit long modulus
...................................++++++
..............++++++
e is 65537 (0x10001)
Using configuration from /etc/keystone/ssl/certs/openssl.conf
Check that the request matches the signature
Signature ok
The Subject's Distinguished Name is as follows
countryName :PRINTABLE:'US'
stateOrProvinceName :PRINTABLE:'Unset'
localityName :PRINTABLE:'Unset'
organizationName :PRINTABLE:'Unset'
commonName :PRINTABLE:'www.example.com'
Certificate is to be certified until Oct 11 18:27:33 2014 GMT (365 days)

Write out database with 1 new entries
Data Base Updated
invoke-rc.d: policy-rc.d denied execution of start.

tags: added: theme-oil

/usr/sbin/policy-rc.d contains the following:

#!/bin/sh
# see invoke-rc.d for exit codes. 101 is "do not run"
while true; do
   case "$1" in
      -*) shift;;
      makedev|x11-common) exit 0;;
      *) exit 101;;
   esac
done

So the above policy-rc.d is present on all systems provisioned with MAAS+curtin. Wondering if it is cruft from curtin provisioning that needs to be cleaned up.

Changed in keystone (Ubuntu):
status: New → Invalid
summary: - Keystone fails to start after installation: invoke-rc.d: policy-rc.d
- denied execution of start.
+ curtin leaves behind /usr/sbin/policy-rc.d file that prevents invoke-
+ rc.d from starting services
Scott Moser (smoser) wrote :

fixed in revno 94

no longer affects: keystone (Ubuntu)
no longer affects: keystone (Ubuntu Saucy)
Changed in curtin (Ubuntu Saucy):
status: New → Confirmed
importance: Undecided → High
Changed in curtin:
status: New → Fix Committed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curtin - 0.1.0~bzr94-0ubuntu1

---------------
curtin (0.1.0~bzr94-0ubuntu1) saucy-proposed; urgency=low

  * New upstream snapshot.
    * fix bug where /usr/sbin/policy-rc.d was not being removed after
      being utilized during installation to disable daemons. (LP: #1238915)
 -- Scott Moser <email address hidden> Tue, 15 Oct 2013 14:45:16 -0400

Changed in curtin (Ubuntu Saucy):
status: Confirmed → Fix Released
Scott Moser (smoser) on 2013-10-16
Changed in cloud-archive:
status: New → Fix Released
importance: Undecided → High

This bug is believed to be fixed in curtin in 17.1. If this is still a problem for you, please make a comment and set the state back to New

Thank you.

Changed in curtin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers